
package de.ivu.elect.business.ergebniskonflikt.entity;

import de.ivu.elect.jee.presentation.dynamicform.AbstractLongProperty;

public class ErgebnisKonfliktAnzahlZuLosenProperty extends AbstractLongProperty {

  private final AbstractErgebnisKonfliktLosoptionenCustomData ergebnisKonfliktCustomData;

  public ErgebnisKonfliktAnzahlZuLosenProperty(AbstractErgebnisKonfliktLosoptionenCustomData customData) {
    this.ergebnisKonfliktCustomData = customData;
  }

  @Override
  public Long getValue() {
    return ergebnisKonfliktCustomData.getAnzahlZuLosen();
  }

  @Override
  public void setValue(Long value) {
    if (value != null) {
      ergebnisKonfliktCustomData.setAnzahlZuLosen(value);
    }
  }

  @Override
  public boolean getDefaultRequired() {
    return !AbstractErgebnisKonfliktLosoptionenCustomDataConstants.ANZAHL_ZU_LOSEN_NULLABLE;
  }

  @Override
  public String getDefaultLabel() {
    return getMessage(AbstractErgebnisKonfliktLosoptionenCustomDataConstants.MESSAGE_KEY_ANZAHL_ZU_LOSEN_EINZAHL);
  }
}
